// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: RunUtteranceRecognizer.java,v 1.3 2003/03/06 00:40:41 moltmans Exp $
// RunUtteranceRecognizer.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Maintainer: Michael Oltmans <moltmans@ai.mit.edu> 
// Copyright: Copyright (C) 1999 by Michael Oltmans 
// Created: <Tue Aug  3 16:51:07 1999> 
// Time-stamp: <2000-02-25 19:49:59 moltmans> 
// Keywords: 
package rec.simulate.recognizers;

import java.util.*;
import rec.sys.*;
import rec.core.speech.*;
import rec.util.*;
import rec.simulate.widgets.*;
import rec.simulate.*;

public class RunUtteranceRecognizer extends SimpleUtteranceRecognizer
{

  public RunUtteranceRecognizer()
  {
    super( "run" );
  }

  public void performAction( Surface s, Object arg )
  {
    Console.writeln( "Running the sim" );
    ((SimulateSurface)s).simulate();
  }

  public void performUndo( Surface s, Object arg )
  {
  }
}
